EUCA-DESCRIBE-AVAILABILITY-ZONES(1)

NAME
euca-describe-availability-zones - Display availability zones within the current region

SYNOPSIS
euca-describe-availability-zones [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID]
    [-S KEY] [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [ZONE [ZONE ...]]

DESCRIPTION
Display availability zones within the current region

  positional arguments:

ZONE
    limit results to specific availability zones

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

message
    message giving information about the availability zone

region-name
    region the availability zone is in

state
    state of the availability zone

zone-name
    name of the availability zone